package cn.skcks.docking.gb28181.wvp.api.video.dto;

import cn.hutool.core.date.DatePattern;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@NoArgsConstructor
@Data
public class VideoReq {
    @NotBlank(message = "设备编码 不能为空")
    @Schema(description = "设备编码")
    private String deviceCode;

    @Schema(description = "开始时间",example = "20230909000000")
    @NotBlank(message = "开始时间 不能为空")
    @DateTimeFormat(pattern= DatePattern.PURE_DATETIME_PATTERN)
    @JsonFormat(pattern = DatePattern.PURE_DATETIME_PATTERN)
    private Date startTime;

    @Schema(description = "结束时间",example = "20230909000500")
    @NotBlank(message = "结束时间 不能为空")
    @DateTimeFormat(pattern= DatePattern.PURE_DATETIME_PATTERN)
    @JsonFormat(pattern = DatePattern.PURE_DATETIME_PATTERN)
    private Date endTime;
}
